Defines | Functions

# lua/lmem.c File Reference

`#include <stddef.h>`
`#include "lua.h"`
`#include "ldebug.h"`
`#include "ldo.h"`
`#include "lmem.h"`
`#include "lobject.h"`
`#include "lstate.h"`
Include dependency graph for lmem.c:

Go to the source code of this file.

## Defines
#define | lmem_c
#define | LUA_CORE
#define | MINSIZEARRAY 4
## Functions
void * | luaM_growaux_ (lua_State *L, void *block, int *size, size_t size_elems, int limit, const char *errormsg)
void * | luaM_toobig (lua_State *L)
void * | luaM_realloc_ (lua_State *L, void *block, size_t osize, size_t nsize)

## Define Documentation

#define lmem_c

Definition at line 10 of file lmem.c.

#define LUA_CORE

Definition at line 11 of file lmem.c.

#define MINSIZEARRAY 4

Definition at line 43 of file lmem.c.

Referenced by luaM_growaux_().

## Function Documentation

void* luaM_growaux_ | ( | lua_State * | L,
|  | void * | block,
|  | int * | size,
|  | size_t | size_elems,
|  | int | limit,
|  | const char * | errormsg
| ) |  |

Definition at line 46 of file lmem.c.

References luaG_runerror(), luaM_reallocv, and MINSIZEARRAY.

void* luaM_realloc_ | ( | lua_State * | L,
|  | void * | block,
|  | size_t | osize,
|  | size_t | nsize
| ) |  |

Definition at line 76 of file lmem.c.

References block(), global_State::frealloc, G, lua_assert, luaD_throw(), global_State::totalbytes, and global_State::ud.

void* luaM_toobig | ( | lua_State * | L ) |

Definition at line 66 of file lmem.c.

References luaG_runerror().

Referenced by luaS_newudata(), and newlstr().